outcomeBalances
Token balances held in one user's Outcome sub-account — the Outcome counterpart of perpClearinghouseState. For account value, margin, and withdrawable balance, use clearinghouseState with accountType: "outcome".
POST/infotype
outcomeBalancesShow token balances held in the Outcome sub-account.
Request body
typestringrequired
userstringrequired
User address.
Request example
curl -X POST https://rpc.txflow-testnet.xyz/info \
-H "Content-Type: application/json" \
-H "x-api-version: 2026-08-16" \
-d '{
"type": "outcomeBalances",
"user": "0x0000000000000000000000000000000000000000"
}'Try it
Response · UserTokenBalanceResponse 200
codeinteger
`0` on success.
dataUserTokenBalanceResponse
balancesUserTokenBalance[]
withdrawablestringnullable
successboolean
`false` on error, with `code` set and the text in `message` instead of `data`.
Response example
{
"success": true,
"code": 0,
"data": {
"balances": [
{
"coin": "4",
"displayName": "",
"entryNtl": "",
"hold": "",
"lastPrice": "0",
"midPrice": "0",
"token": 0,
"total": ""
}
],
"withdrawable": ""
}
}